use crate::auth::User;

use crate::ui::primitives::Optional;
use crate::ui::{UIWidget, prelude::*};

use super::shell::{NavBar, NavBarWidget};

#[allow(non_snake_case)]
#[must_use]
pub fn AppBar<T, F>(name: &str, user: Option<User>, user_builder: F) -> NavBarWidget
where
    T: UIWidget + 'static,
    F: Fn(&User) -> T,
{
    NavBar(name)
        .icon(Sized(
            ScreenValue::_10,
            ScreenValue::_10,
            Rounded(Image("/favicon").alt("Logo")).size(Size::Medium),
        ))
        .extra(Optional(user.as_ref(), user_builder))
}
